Apache CloudStack bis 4.5.1 KVM Virtual Machine Migration erweiterte Rechte

EintraganpassenHistoryDiffjsonxmlCTI
CVSS Meta Temp ScoreAktueller Exploitpreis (≈)CTI Interest Score
7.7$0-$5k0.00

Es wurde eine kritische Schwachstelle in Apache CloudStack bis 4.5.1 (Cloud Software) gefunden. Dabei betrifft es ein unbekannter Codeteil der Komponente KVM Virtual Machine Migration Handler. Mittels Manipulieren mit einer unbekannten Eingabe kann eine erweiterte Rechte-Schwachstelle ausgenutzt werden. Im Rahmen von CWE wurde eine Klassifizierung als CWE-255 vorgenommen. Auswirken tut sich dies auf Vertraulichkeit, Integrität und Verfügbarkeit. Die Zusammenfassung von CVE lautet:

Apache CloudStack before 4.5.2 does not properly preserve VNC passwords when migrating KVM virtual machines, which allows remote attackers to gain access by connecting to the VNC server.

Die Schwachstelle wurde am 08.02.2016 (Website) publiziert. Das Advisory findet sich auf blogs.apache.org. Die Identifikation der Schwachstelle wird seit dem 10.04.2015 mit CVE-2015-3252 vorgenommen. Der Angriff kann über das Netzwerk erfolgen. Das Ausnutzen erfordert eine einfache Authentisierung. Technische Details sind nicht bekannt und ein Exploit zur Schwachstelle ist ebenfalls nicht vorhanden. Die Beschaffenheit der Schwachstelle lässt vermuten, dass ein Exploit momentan zu etwa USD $0-$5k gehandelt werden wird (Preisberechnung vom 20.07.2018).

Ein Aktualisieren auf die Version 4.5.2 vermag dieses Problem zu lösen.

Die Schwachstellen 80822 sind ähnlich.

Produktinfoanpassen

Typ

Hersteller

Name

CPE 2.3infoanpassen

CPE 2.2infoanpassen

CVSSv3infoanpassen

VulDB Meta Base Score: 8.0
VulDB Meta Temp Score: 7.7

VulDB Base Score: 6.3
VulDB Temp Score: 6.0
VulDB Vector: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 9.8
NVD Vector: 🔍

CVSSv2infoanpassen

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VektorKomplexitätAuthentisierungVertraulichkeitIntegritätVerfügbarkeit
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Zuverlässigkeit: 🔍

NVD Base Score: 🔍

Exploitinginfoanpassen

Klasse: Erweiterte Rechte
CWE: CWE-255
ATT&CK: Unbekannt

Lokal: Nein
Remote: Ja

Verfügbarkeit: 🔍
Status: Nicht definiert

Preisentwicklung: 🔍
Aktuelle Preisschätzung: 🔍

0-Dayfreischaltenfreischaltenfreischaltenfreischalten
Heutefreischaltenfreischaltenfreischaltenfreischalten

Threat Intelligenceinfoanpassen

Bedrohungslage: 🔍
Gegner: 🔍
Geopolitik: 🔍
Ökonomie: 🔍
Voraussagen: 🔍
Massnahmen: 🔍

Gegenmassnahmeninfoanpassen

Empfehlung: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: CloudStack 4.5.2

Timelineinfoanpassen

10.04.2015 🔍
08.02.2016 +304 Tage 🔍
08.02.2016 +0 Tage 🔍
09.02.2016 +1 Tage 🔍
20.07.2018 +892 Tage 🔍

Quelleninfoanpassen

Hersteller: https://www.apache.org/

Advisory: blogs.apache.org
Status: Nicht definiert

CVE: CVE-2015-3252 (🔍)
Siehe auch: 🔍

Eintraginfoanpassen

Erstellt: 09.02.2016 09:22
Aktualisierung: 20.07.2018 09:37
Anpassungen: (1) source_cve_assigned
Komplett: 🔍

Kommentare

Might our Artificial Intelligence support you?

Check our Alexa App!